Page MenuHomePhabricator

[TUX] duplicate results are shown when filtering/searching
Closed, ResolvedPublic

Description

a screenshot showing the problem

Spin-off from from T47434: [TUX] Unclear filtering completion status.

Steps to reproduce:

  1. Open the URL.
  1. Filter by the word "unapproved".

Observed:

  • Found 4 results for "unapproved".
  • "Unapproved translators" is found twice.

Expected:

  • Found 2 results for "unapproved"
  • "Unapproved translators" is found once.

Version: master
Severity: normal
URL: https://translatewiki.net/wiki/Special:Translate?filter=&action=translate&group=ext-translate-0-all&language=nl

Attached:

Details

Reference
bz47198

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:34 AM
bzimport set Reference to bz47198.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Apr 13 2013, 2:38 PM
  • Bug 64894 has been marked as a duplicate of this bug. ***
He7d3r updated the task description. (Show Details)Jan 29 2015, 5:03 PM
He7d3r set Security to None.
He7d3r awarded a token.
bearND awarded a token.Apr 3 2015, 4:53 PM
bearND added a subscriber: bearND.

Change 201832 had a related patch set uploaded (by Phoenix303):
Remove duplicate results when searching

https://gerrit.wikimedia.org/r/201832

Change 201832 had a related patch set uploaded (by Phoenix303):
Remove duplicate results when searching
https://gerrit.wikimedia.org/r/201832

Thanks! How did you verify that this fixes the issue?

I tested randomly with different text sets with and without my fixes and also I identified the problem was with overlapping of offset value.

Change 201832 merged by jenkins-bot:
Remove duplicate results when searching

https://gerrit.wikimedia.org/r/201832

Nemo_bis closed this task as Resolved.May 15 2015, 12:09 PM
Nemo_bis assigned this task to Phoenix303.
Nemo_bis added a project: MW-1.26-release.